<?php
/**
 * Options au chargement du plugin GamuCompte
 *
 * @plugin     GamuCompte
 * @copyright  2020
 * @author     tofulm
 * @licence    GNU/GPL
 * @package    SPIP\Gamucompte\Options
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

defined('_LOGIN_TROP_COURT') or define('_LOGIN_TROP_COURT', 1);

$GLOBALS['comptespip_editer'] =  [
	[
		'saisie' => 'input',
		'options' => array(
			'nom' => 'nom',
			'label' => 'Votre Nom',
			'obligatoire' => 'oui',
			//'fonction' => 'ma_super_fonction'
			//'modifier' => 'ma_super_fonction_pour_modifier'
		)
	],
	[
		'saisie' => 'input',
		'options' => array(
			'nom' => 'prenom',
			'label' => 'Votre prénom',
			'obligatoire' => 'oui',
			//'fonction' => 'ma_super_fonction'
		)
	],
	[
		'saisie' => 'input',
		'options' => array(
			'nom' => 'email',
			'label' => 'Votre Email',
			'obligatoire' => 'oui',
		)
	]
];


if (test_plugin_actif('verifmob')) {
	$GLOBALS['formulaires_verif_mobile'][] = 'editer_compte_spip';
}
